﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\LOG_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EVT_HIJOBRECORD') 
 CREATE TABLE T_EVT_HIJOBRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLOCKEXPTIME DATETIME,
FLOCKOWNERID VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXCLUSIVE CHAR(1) DEFAULT '0' NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FPROCESSINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FRETRIES INT DEFAULT 3 NOT NULL,
FEXCEPTIONMSG NCLOB,
FDUEDATE DATETIME,
FREPEAT VARCHAR(30) DEFAULT ' ' NOT NULL,
FHANDLERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FHANDLERCFG NCLOB,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(300) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FELEMENTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FSRCJOBID BIGINT DEFAULT 0 NOT NULL,
FROOTTRACENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXECUTOR VARCHAR(100) DEFAULT ' ' NOT NULL,
FSUCCESS CHAR(1) DEFAULT '1' NOT NULL,
FENDTIME DATETIME,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(60) DEFAULT ' ' NOT NULL,
FROOTJOBID BIGINT DEFAULT 0 NOT NULL,
FSRCTRACEID VARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZKEY VARCHAR(500) DEFAULT ' ' NOT NULL,
FROOTEVENTINSTID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\LOG_table.sql **/
/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\LOG_constraint.sql **/
 EXEC P_ALTERPK 'PK_EVT_HIJOBRECORD', 'T_EVT_HIJOBRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EVT_HIJOBRECORD' AND KSQL_INDNAME = 'IDX_EVT_HIJOBRECORD_ROOTJOBID') CREATE INDEX IDX_EVT_HIJOBRECORD_ROOTJOBID ON T_EVT_HIJOBRECORD ( FROOTJOBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EVT_HIJOBRECORD' AND KSQL_INDNAME = 'IDX_EVT_HIJOBRECORD_LOCKSTATE') CREATE INDEX IDX_EVT_HIJOBRECORD_LOCKSTATE ON T_EVT_HIJOBRECORD ( FLOCKEXPTIME ,FSTATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EVT_HIJOBRECORD' AND KSQL_INDNAME = 'IDX_EVT_HIJOBREC_BUSKEYSTATE') CREATE INDEX IDX_EVT_HIJOBREC_BUSKEYSTATE ON T_EVT_HIJOBRECORD ( FBUSINESSKEY ,FSTATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EVT_HIJOBRECORD' AND KSQL_INDNAME = 'IDX_EVT_HIJOBRECORD_ROOTEVTID') CREATE INDEX IDX_EVT_HIJOBRECORD_ROOTEVTID ON T_EVT_HIJOBRECORD ( FROOTEVENTINSTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EVT_HIJOBRECORD' AND KSQL_INDNAME = 'IDX_EVT_HIJOBRECORD_ROOTTRACE') CREATE INDEX IDX_EVT_HIJOBRECORD_ROOTTRACE ON T_EVT_HIJOBRECORD ( FROOTTRACENO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EVT_HIJOBRECORD' AND KSQL_INDNAME = 'IDX_EVT_HIJOBRECORD_HANDTYPE') CREATE INDEX IDX_EVT_HIJOBRECORD_HANDTYPE ON T_EVT_HIJOBRECORD ( FHANDLERTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_EVT_HIJOBRECORD' AND KSQL_INDNAME = 'IDX_EVT_HIJOBRECORD_CREATDATE') CREATE INDEX IDX_EVT_HIJOBRECORD_CREATDATE ON T_EVT_HIJOBRECORD ( FCREATEDATE );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\LOG_constraint.sql **/
