UPDATE t_wf_expressionext SET fdescription = '1.函数描述：取传入数组的枚举值 \n2.函数格式：absenum(obj[]) \n3.函数参数：obj[], 传入数组 \n4.举例：absenum(car,ship) 返回 汽车，轮船' WHERE fid = 992152505201412683;

UPDATE t_wf_expressionext SET fdescription = '1.函数描述：合计传入的数值数组 \n2.函数格式：sum(number[]) \n3.函数参数：number[], 需合计的数值数组 \n4.举例：sum(1,2) 返回 3' WHERE fid = 992152505201412684;

UPDATE t_wf_expressionext SET fdescription = '1.函数描述：从传入的数值数组中，取最小值返回 \n2.函数格式：min(number[]) \n3.函数参数：number[], 数值数组 \n4.举例：min(1, 2) 返回 1' WHERE fid = 992152505201412687;

UPDATE t_wf_expressionext SET fdescription = '1.函数描述：对传入的数值数组求和后取平均值 \n2.函数格式：avg(number[]) \n3.函数参数：number[], 数值数组 \n4.举例：avg(1.0, 2.0) 返回1.5 \n\n注意，返回值和传入的参数值类型有关，如avg(1, 2) 传入整数，返回结果也是整数 1' WHERE fid = 992152505201412685;

UPDATE t_wf_expressionext SET fdescription = '1.函数描述：从传入的数值数组中，取最大值返回 \n2.函数格式：max(number[]) \n3.函数参数：number[], 数值数组 \n4.举例：max(1, 2) 返回 2' WHERE fid = 992152505201412686;

UPDATE t_wf_expressionext SET fdescription = '1.函数描述：对传入的数组计数 \n2.函数格式：count(obj[]) \n3.函数参数：obj[], 传入数组 \n4.举例：count(1,2) 返回2' WHERE fid = 992152505201412689;

UPDATE t_wf_expressionext SET fdescription = '1.函数描述：取传入数组的第一个值 \n2.函数格式：first(obj[]) \n3.函数参数：obj[], 传入数组 \n4.举例：first(car,ship) 返回 car \n\n注意：此处取的第一行为数据库中存储的第一行数据，不支持按照单据上格式化后的数据取值。' WHERE fid = 992152505201412688;

-- 多语言表
DELETE FROM t_wf_expressionext_l WHERE FID = 992152505201412683;
INSERT INTO t_wf_expressionext_l (fpkid, fid, flocaleid, fname, fdescription) VALUES ('2NCUMCKOCWOS', 992152505201412683, 'zh_CN', '枚举', '1.函数描述：取传入数组的枚举值 \n2.函数格式：absenum(obj[]) \n3.函数参数：obj[], 传入数组 \n4.举例：absenum(car,ship) 返回 汽车，轮船');

DELETE FROM t_wf_expressionext_l WHERE FID = 992152505201412685;
INSERT INTO t_wf_expressionext_l (fpkid, fid, flocaleid, fname, fdescription) VALUES ('2NCZH7V1KPJT', 992152505201412685, 'zh_CN', '平均', '1.函数描述：对传入的数值数组求和后取平均值 \n2.函数格式：avg(number[]) \n3.函数参数：number[], 数值数组 \n4.举例：avg(1.0, 2.0) 返回1.5 \n\n注意，返回值和传入的参数值类型有关，如avg(1, 2) 传入整数，返回结果也是整数 1');

DELETE FROM t_wf_expressionext_l WHERE FID = 992152505201412689;
INSERT INTO t_wf_expressionext_l (fpkid, fid, flocaleid, fname, fdescription) VALUES ('2ND+QIPEDOEI', 992152505201412689, 'zh_CN', '计数', '1.函数描述：对传入的数组计数 \n2.函数格式：count(obj[]) \n3.函数参数：obj[], 传入数组 \n4.举例：count(1,2) 返回2');

DELETE FROM t_wf_expressionext_l WHERE FID = 992152505201412688;
INSERT INTO t_wf_expressionext_l (fpkid, fid, flocaleid, fname, fdescription) VALUES ('2NCX5X/Z1J5U', 992152505201412688, 'zh_CN', '第一行', '1.函数描述：取传入数组的第一个值 \n2.函数格式：first(obj[]) \n3.函数参数：obj[], 传入数组 \n4.举例：first(car,ship) 返回 car \n\n注意：此处取的第一行为数据库中存储的第一行数据，不支持按照单据上格式化后的数据取值。');

DELETE FROM t_wf_expressionext_l WHERE FID = 992152505201412686;
INSERT INTO t_wf_expressionext_l (fpkid, fid, flocaleid, fname, fdescription) VALUES ('2ND/QHLXHKH/', 992152505201412686, 'zh_CN', '最大', '1.函数描述：从传入的数值数组中，取最大值返回 \n2.函数格式：max(number[]) \n3.函数参数：number[], 数值数组 \n4.举例：max(1, 2) 返回 2');

DELETE FROM t_wf_expressionext_l WHERE FID = 992152505201412687;
INSERT INTO t_wf_expressionext_l (fpkid, fid, flocaleid, fname, fdescription) VALUES ('2ND06SX5HKHE', 992152505201412687, 'zh_CN', '最小', '1.函数描述：从传入的数值数组中，取最小值返回 \n2.函数格式：min(number[]) \n3.函数参数：number[], 数值数组 \n4.举例：min(1, 2) 返回 1');

DELETE FROM t_wf_expressionext_l WHERE FID = 992152505201412684;
INSERT INTO t_wf_expressionext_l (fpkid, fid, flocaleid, fname, fdescription) VALUES ('2NCY3Y0/Q75V', 992152505201412684, 'zh_CN', '合计', '1.函数描述：合计传入的数值数组 \n2.函数格式：sum(number[]) \n3.函数参数：number[], 需合计的数值数组 \n4.举例：sum(1,2) 返回 3');